#include "StdAfx.h"
#include "ServerTextManager.h"
#include "htmlloader.h"
#include "Dir.h"
#include "resource.h"

CServerTextManager::CServerTextManager(void)
{
}

CServerTextManager::~CServerTextManager(void)
{
	Stop();
}


///////////////////////////////////////////////////////////////////////////////////////////////////
//	操作
///////////////////////////////////////////////////////////////////////////////////////////////////
/*!
	開始
*/
void CServerTextManager::Start(IServerToolPtr serverTool)
{
	//	初期化済み？
	if(m_init)
		return;
	m_init = TRUE;

	//	コピー、初期化
	m_serverTool = serverTool;

	//	設定取得
	m_setting = m_serverTool->GetManagerSetting(m_setting.GetSettingName());
}

/*!
	停止
*/
void CServerTextManager::Stop()
{
	//	初期化チェック
	if(!m_init)
		return;
	m_init = FALSE;
}


///////////////////////////////////////////////////////////////////////////////////////////////////
//	IServerTextManager
///////////////////////////////////////////////////////////////////////////////////////////////////
/*!
	サーバHTMLをロードする
*/
CString CServerTextManager::LoadServerHtmlFile(CString name)
{
	//	ロード
	return(CHtmlLoader::LoadFromFile(CPathTools::AddBackSlash(m_setting.GetServerHtmlDirectory()) + name));
}

/*!
	サーバHTMLをロードする(リソースから)
*/
CString CServerTextManager::LoadServerHtmlResource(CString resName)
{
	CHtmlLoader	loader;

	if(resName == HTML_RESOURCE_SERVER_RESPONSE)
		return(CHtmlLoader::LoadFromResource(IDR_HTML_SERVER_RESPONSE));
	else if(resName == HTML_RESOURCE_DIRECTORY_LIST)
		return(CHtmlLoader::LoadFromResource(IDR_HTML_DIRECTORY_INDEX));
	else
		return("");
}


